@font-face {
    font-family: 'Digital';
    src: url(font/DS-DIGIB.TTF);
}

/*.bg-primary-custom { background-color: #6F66A5 !important; } */
.bg-primary-custom { background-color: #132347 !important; }
.bg-secondary-custom { background-color: #667eea !important; }
/* .bg-gradient { background-image: linear-gradient(to bottom right, #0D8BA4, #8B5AA6); } */
.bg-gradient { background: linear-gradient(#667eea, #764ba2); }
/*.bg-gradient-test { background: linear-gradient(#7851a9, #f62681); color: white;}*/

/* #537895, #09203f [Dark] #80d0c7, #13547a[Aqua] #48c6ef, #6f86d6[Sky] #667eea, #764ba2[Plum Purple]*/
/*
.table-test1 { 
	background: linear-gradient(#667eea, #764ba2);
	color: white;
}	

*/
.navbar { padding: .75rem 1rem; }
.brand { margin-left: 30px; }
[class*="icomoon"] { transform: translateY(1px) scale(1.2); display: inline-block; }
.sidemenu {
    position: absolute;
    top: 0;
    left: 0;
    width: 250px;
    min-height: 100vh;
    transform: translateX(-100%);
    transition: all .5s ease;
    display: block;
	border: 0;
    border-radius: 0;
    margin: 0;
	padding: 0 15px;
}
.sidemenu.show {
	transform: translateX(0);
}
.navbar-item {
    display: block;
    padding: 5px 0;
	cursor: pointer;
    color: white !important;
    text-decoration: none !important;
}
.sidemenu .dropdown-item {
	padding: .5rem 0;
	position: relative;
}
.sidemenu .dropdown-item:after {
    position: absolute;
    content: '';
    width: calc(100% - 33px);
    height: 1px;
    background-color: white;
    opacity: .3;
    right: 0;
    bottom: 0;
}
.menu-wrapper {
    height: 100vh;
    overflow-y: scroll;
	padding-top: 100px;
	padding-bottom: 25px;
}
.profile-pic {
	position: fixed;
	top: 0;
	left: 0;
	width: 250px;
	height: 100px;
}
.profile-pic .profile-clip {
	position: absolute;
    width: 71px;
    height: 71px;
	object-fit: cover;
    top: 18px;
    left: 18px;
	clip-path: url(#SVGID_2_);
}
.profile-pic .profile-border {
	position: absolute;
	top: 15px;
	left: 15px;
	width: 70px;
}
.profile-pic .nopkj {
    color: white;
    position: absolute;
    top: 50%;
    left: 100px;
    transform: translateY(-50%);
    font-size: 1.5rem;
}
.fab {
	position: fixed;
	bottom: 25px;
	right: 25px;
	width: 56px;
	height: 56px;
	border: 0;
	display: block;
	border-radius: 50%;
	text-align: center;
	color: white;
	outline: 0 !important;
}
.position-right-bottom {
	position: absolute;
	right: 0;
	bottom: 0;
}
.robot {
	max-width: 100%;
}
.z-index-1 {
	z-index: 1;
}
.attendance-container-bottom {
	height: 30vh;
	bottom: 0;
	border-top-left-radius: 1rem;
	border-top-right-radius: 1rem;
	transition: all 1s ease-in-out;
	z-index: 10;
}
.attendance-container-bottom.fullheight {
	height: 100vh;
}
.attendance-container-bottom > div {
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}
.attendance-container-bottom label {
	display: inline-block;
	width: 75px;
	text-align: left;
	margin-left: 5px;
	margin-bottom: 0;
}
#qrcode, #qrcode ~ h2, #qrcode ~ h3 {
	position: absolute;
	top: 100px;
	left: calc(50% - 140px);
	z-index: 11;
}
#qrcode ~ h2 {
	top: 400px;
	left: 0;
	width: 100%;
	color: yellow;
}
#qrcode ~ h3 {
	top: 0;
	left: 0;
	text-align: right !important;
}
.cgpa {
    width: 50px;
    height: 50px;
    text-align: center;
    padding: 12px 5px;
    color: white;
    margin-right: 5px;
}
.ico-qr-kursus {
    width: 50px;
    height: 50px;
    text-align: center;
    padding: 12px 5px;
    color: white;
    margin-right: 5px;
}
.ico-sm-box {
    width: 25px;
    height: 25px;
    text-align: center;
    color: white;
	margin-right: 3px;
	display: inline-block;
}
.watch img, .watch .pulse {
	position: absolute;
	width: 200px;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}
.watch .pulse {
	width: 200px;
    height: 200px;
	border-radius: 50%;
	box-shadow: 0 0 0 rgba(13,139,164, 0.4);
	animation: pulse 2s infinite;
	z-index: 1;
}
@keyframes pulse {
	0% { box-shadow: 0 0 0 0 rgba(13,139,164, 0.4); }
	70% { box-shadow: 0 0 0 30px rgba(13,139,164, 0); }
	100% { box-shadow: 0 0 0 0 rgba(13,139,164, 0); }
}


form {border: 3px solid #f1f1f1;}

/*input[type=text], input[type=password]*/
.login-input, .pwd-input {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
}

button {
  background-color: #4CAF50;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 100%;
}

button:hover {
  opacity: 0.8;
}

.cancelbtn {
  width: auto;
  padding: 10px 18px;
  background-color: #f44336;
}

.container {
  padding: 16px;
}

span.psw {
  float: right;
  padding-top: 16px;
}

/* Change styles for span and cancel button on extra small screens */
@media screen and (max-width: 300px) {
  span.psw {
     display: block;
     float: none;
  }
  .cancelbtn {
     width: 100%;
  }
}
/*
 * Component: Box
 * --------------
 */
.box {
  position: relative;
  border-radius: 3px;
  background: #ffffff;
  border-top: 3px solid #d2d6de;/*
  margin-bottom: 20px;*/
  width: 100%;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
}
.box.box-primary {
  border-top-color: #132347;
}
.box.box-info {
  border-top-color: #00c0ef;
}
.box.box-danger {
  border-top-color: #dd4b39;
}
.box.box-warning {
  border-top-color: #f39c12;
}
.box.box-success {
  border-top-color: #00a65a;
}
.box.box-default {
  border-top-color: #d2d6de;
}
.box.collapsed-box .box-body,
.box.collapsed-box .box-footer {
  display: none;
}
.box .nav-stacked > li {
  border-bottom: 1px solid #f4f4f4;
  margin: 0;
}
.box .nav-stacked > li:last-of-type {
  border-bottom: none;
}
.box.height-control .box-body {
  max-height: 300px;
  overflow: auto;
}
.box .border-right {
  border-right: 1px solid #f4f4f4;
}
.box .border-left {
  border-left: 1px solid #f4f4f4;
}
.box.box-solid {
  border-top: 0;
}
.box.box-solid > .box-header .btn.btn-default {
  background: transparent;
}
.box.box-solid > .box-header .btn:hover,
.box.box-solid > .box-header a:hover {
  background: rgba(0, 0, 0, 0.1);
}
.box.box-solid.box-default {
  border: 1px solid #d2d6de;
}
.box.box-solid.box-default > .box-header {
  color: #444444;
  background: #d2d6de;
  background-color: #d2d6de;
}
.box.box-solid.box-default > .box-header a,
.box.box-solid.box-default > .box-header .btn {
  color: #444444;
}
.box.box-solid.box-primary {
  border: 1px solid #3c8dbc;
}
.box.box-solid.box-primary > .box-header {
  color: #ffffff;
  background: #132347;
  background-color: #132347;
}
.box.box-solid.box-primary > .box-header a,
.box.box-solid.box-primary > .box-header .btn {
  color: #ffffff;
}
.box.box-solid.box-info {
  border: 1px solid #00c0ef;
}
.box.box-solid.box-info > .box-header {
  color: #ffffff;
  background: #00c0ef;
  background-color: #00c0ef;
}
.box.box-solid.box-info > .box-header a,
.box.box-solid.box-info > .box-header .btn {
  color: #ffffff;
}
.box.box-solid.box-danger {
  border: 1px solid #dd4b39;
}
.box.box-solid.box-danger > .box-header {
  color: #ffffff;
  background: #dd4b39;
  background-color: #dd4b39;
}
.box.box-solid.box-danger > .box-header a,
.box.box-solid.box-danger > .box-header .btn {
  color: #ffffff;
}
.box.box-solid.box-warning {
  border: 1px solid #f39c12;
}
.box.box-solid.box-warning > .box-header {
  color: #ffffff;
  background: #f39c12;
  background-color: #f39c12;
}
.box.box-solid.box-warning > .box-header a,
.box.box-solid.box-warning > .box-header .btn {
  color: #ffffff;
}
.box.box-solid.box-success {
  border: 1px solid #00a65a;
}
.box.box-solid.box-success > .box-header {
  color: #ffffff;
  background: #00a65a;
  background-color: #00a65a;
}
.box.box-solid.box-success > .box-header a,
.box.box-solid.box-success > .box-header .btn {
  color: #ffffff;
}
.box.box-solid > .box-header > .box-tools .btn {
  border: 0;
  box-shadow: none;
}
.box.box-solid[class*='bg'] > .box-header {
  color: #fff;
}
.box .box-group > .box {
  margin-bottom: 5px;
}
.box .knob-label {
  text-align: center;
  color: #333;
  font-weight: 100;
  font-size: 12px;
  margin-bottom: 0.3em;
}
.box > .overlay,
.overlay-wrapper > .overlay,
.box > .loading-img,
.overlay-wrapper > .loading-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.box .overlay,
.overlay-wrapper .overlay {
  z-index: 50;
  background: rgba(255, 255, 255, 0.7);
  border-radius: 3px;
}
.box .overlay > .fa,
.overlay-wrapper .overlay > .fa {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-left: -15px;
  margin-top: -15px;
  color: #000;
  font-size: 30px;
}
.box .overlay.dark,
.overlay-wrapper .overlay.dark {
  background: rgba(0, 0, 0, 0.5);
}
.box-header:before,
.box-body:before,
.box-footer:before,
.box-header:after,
.box-body:after,
.box-footer:after {
  content: " ";
  display: table;
}
.box-header:after,
.box-body:after,
.box-footer:after {
  clear: both;
}
.box-header {
  color: #444;
  display: block;
  padding: 10px;
  position: relative;
}
.box-header.with-border {
  border-bottom: 1px solid #f4f4f4;
}
.collapsed-box .box-header.with-border {
  border-bottom: none;
}
.box-header > .fa,
.box-header > .glyphicon,
.box-header > .ion,
.box-header .box-title {
  display: inline-block;
  font-size: 18px;
  margin: 0;
  line-height: 1;
}
.box-header > .fa,
.box-header > .glyphicon,
.box-header > .ion {
  margin-right: 5px;
}
.box-header > .box-tools {
  position: absolute;
  right: 10px;
  top: 5px;
}
.box-header > .box-tools [data-toggle="tooltip"] {
  position: relative;
}
.box-header > .box-tools.pull-right .dropdown-menu {
  right: 0;
  left: auto;
}
.box-header > .box-tools .dropdown-menu > li > a {
  color: #444!important;
}
.btn-box-tool {
  padding: 5px;
  font-size: 12px;
  background: transparent;
  color: #97a0b3;
}
.open .btn-box-tool,
.btn-box-tool:hover {
  color: #606c84;
}
.btn-box-tool.btn:active {
  box-shadow: none;
}
.box-body {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  padding: 10px;
}
.no-header .box-body {
  border-top-right-radius: 3px;
  border-top-left-radius: 3px;
}
.box-body > .table {
  margin-bottom: 0;
}
.box-body .fc {
  margin-top: 5px;
}
.box-body .full-width-chart {
  margin: -19px;
}
.box-body.no-padding .full-width-chart {
  margin: -9px;
}
.box-body .box-pane {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 3px;
}
.box-body .box-pane-right {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 0;
}
.box-footer {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-top: 1px solid #f4f4f4;
  padding: 10px;
  background-color: #ffffff;
}
.chart-legend {
  margin: 10px 0;
}
@media (max-width: 991px) {
  .chart-legend > li {
    float: left;
    margin-right: 10px;
  }
}
.box-comments {
  background: #f7f7f7;
}
.box-comments .box-comment {
  padding: 8px 0;
  border-bottom: 1px solid #eee;
}
.box-comments .box-comment:before,
.box-comments .box-comment:after {
  content: " ";
  display: table;
}
.box-comments .box-comment:after {
  clear: both;
}
.box-comments .box-comment:last-of-type {
  border-bottom: 0;
}
.box-comments .box-comment:first-of-type {
  padding-top: 0;
}
.box-comments .box-comment img {
  float: left;
}
.box-comments .comment-text {
  margin-left: 40px;
  color: #555;
}
.box-comments .username {
  color: #444;
  display: block;
  font-weight: 600;
}
.box-comments .text-muted {
  font-weight: 400;
  font-size: 12px;
}
/*
 * Component: modal
 * ----------------
 */
.modal {
  background: rgba(0, 0, 0, 0.3);
}
.modal-content {
  border-radius: 0;
  -webkit-box-shadow: 0 2px 3px rgba(0, 0, 0, 0.125);
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.125);
  border: 0;
}
@media (min-width: 768px) {
  .modal-content {
    -webkit-box-shadow: 0 2px 3px rgba(0, 0, 0, 0.125);
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.125);
  }
}

@media screen and (max-width: 425px) {

  .header_rkmdiv {
	  
	  width:80%;
  }
}

.modal-header {
  border-bottom-color: #f4f4f4;
}
.modal-footer {
  border-top-color: #f4f4f4;
}
.modal-primary .modal-header,
.modal-primary .modal-footer {
  border-color: #307095;
}
.modal-warning .modal-header,
.modal-warning .modal-footer {
  border-color: #c87f0a;
}
.modal-info .modal-header,
.modal-info .modal-footer {
  border-color: #0097bc;
}
.modal-success .modal-header,
.modal-success .modal-footer {
  border-color: #00733e;
}
.modal-danger .modal-header,
.modal-danger .modal-footer {
  border-color: #c23321;
}




/*
 * Component: css sahlan
 * ----------------
 */







.box.box-solid.box-primary > .box-header {
       /*background: rgb(93, 82, 154) !important;*/
	       background-color: #132347 !important;
    color: #ffffff !important;
}


.box.box-solid.box-purple > .box-header {
       /*background: rgb(102, 0, 102) !important;*/
	      background-color: #764ba2 !important;
    color: #ffffff !important;
}



.box.box-solid.box-primary {/*
      box-shadow: 0 2px 2px rgba(0,0,0,.24), 0 0 2px rgba(0,0,0,.12) !important;;*/
      border: none !important;;
}

.table td, .table th {
    padding: 0.95rem 0.75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
}

body {
     font-size: 0.85rem !important;
  }


  .table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(255, 255, 255, 0.05) !important;
}


.table-responsive{
      box-shadow: 0 2px 10px rgba(0,0,0,.14), 0 0 2px rgba(0,0,0,.12);

}

.box-header > .fa, .box-header > .glyphicon, .box-header > .ion, .box-header .box-title {
    font-size: 0.95rem !important;
}

.table {
    color: #757575 !important;


    margin-bottom: 0rem !important;
}

.home-icon .col-4 i{     
	font-size: 1.2rem;
	margin-top: 0.5rem;
	background: -webkit-linear-gradient(#fff, #fff);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.home-icon .col-4:nth-child(1) a{ background: #65538e;

}

.home-icon .col-4:nth-child(2) a{ background: #00b181;

}

.home-icon .col-4:nth-child(3) a{ background: #36454F;

}

.home-icon .col-4:nth-child(4) a{ background: #b35c93;

}

.home-icon .col-4:nth-child(5) a{ background: #c7715d;

}

.home-icon .col-4:nth-child(6) a{ background: #008000;

}

.home-icon .col-4:nth-child(7) a{ background: #ff3380;

}

.home-icon .col-4:nth-child(8) a{ background: #29A2EA;

}

.home-icon .col-4:nth-child(9) a{ background: #FF0000;

}

.home-icon .col-4:nth-child(10) a{ background: #8B8000;

}

.home-icon .col-4:nth-child(11) a{ background: #00CED1;

}

.home-icon .col-4:nth-child(12) a{ background: #FF8C00;

}

.home-icon .col-4:nth-child(13) a{ background: #3576BB;

}

.home-icon .col-4:nth-child(14) a{ background: #29A2EA;

}

.home-icon .col-4:nth-child(15) a{ background: #48D1CC;

}


.icon-bottom i{
    /* background: -webkit-linear-gradient(#3c7ead, #46a285) !important; */
    -webkit-text-fill-color: #65538e !important;
    font-size: 9pt;
    /*border: 1px solid #d5c2ff;*/
}



.fixed-bottom {
   border-top: 1px solid rgb(230, 230, 230); z-index: auto; background: #fff;
    bottom: 0px !important;
}

.fixed-bottom a{
      padding: 0px 0px 6px !important;
}



 .shadow {
    box-shadow:  none !important;
 }

 .favourite-item {
    border: 1px solid #E0E0E0;
    border-radius: .5rem;
    text-align: center;
    padding: 17px 0px;
	border:  none !important;
    padding: 10px 0px !important;
}
.favourite-item i {
    transform: scale(1.6);
    color: #0D8BA4;
}
.text-dark {
    color: #74797d!important;
    font-weight: 500;
}

.p-1 {
    padding: 0.5rem .25rem 0rem !important;
}

.alert-dismissible .close {
    padding: 0rem;
    width: 3rem;
}

.box-body{
    margin-bottom: 3.8rem;
}

.noti{
  margin-bottom: -10px !important;
}


/*
 * ==== hexagon
 */
.hexa, .hexa div {
  margin: 0 auto;
  transform-origin: 50% 50%;
  overflow: hidden;
  width: 200px;
  height: 200px;
}
.hexa {
    width: 64px;
    height: 72px;
    margin-left: 18px;
    margin-top: 17px;
    z-index: 100;

}
.hexa div {
  width: 100%;
  height: 100%;
}


.hexa img {
  width: inherit;
  height: inherit;
}

.hexa {
  transform: rotate(120deg);
}
.hex1 {
  transform: rotate(-60deg);
}
.hex2 {
  transform: rotate(-60deg);
}

.TFtable{
		width:100%; 
		border-collapse:collapse; 
		
	}
	
	/* provide some minimal visual accomodation for IE8 and below */
	.TFtable tr{
		background: #ff80ff;
	}
	/*  Define the background color for all the ODD background rows  */
	.TFtable tr:nth-child(odd){ 
		background: #cc0052;
		color:#ffffff!important
	}
	/*  Define the background color for all the EVEN background rows  */
	.TFtable tr:nth-child(even){
		background: #ffffff;
		
	}
	/*.text-test:focus,a.text-test:hover
	{
		color:#ffffff!important
	}*/
	
/* =================================================== login page */
.login-container {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 80%;
	max-width: 400px;
}
.avatar {
  width: 50%;
  display: block;
  margin: 20px auto;
}

/* =================================================== attendance  - START */

	/* Optional: Makes the sample page fill the window. */
	html, body {
		height: 100%;
		margin: 0;
		padding: 0;
	}
	
	a { 
		text-decoration:none; 
		color:#00c6ff;
	}

	/* .container {width: auto; margin: 0 auto; overflow: hidden;} */
	
	p {
		margin: 0;
		padding: 0;
	}	
	
	.clock {

		background: #0f3854;
		background: radial-gradient(ellipse at top,  #0a2e38  10%, #000000 100%);
		background-size: 100%;	

		font-size: 20px;
		color: #ffffff;
		text-align: center;

		width: 100%;
		color: #daf6ff;
		text-shadow: 0 0 8px rgba(10, 175, 230, 1),  0 0 8px rgba(10, 175, 230, 0);
		.time {
			letter-spacing: 0.1em;
			font-size: 80px;
			padding: 5px 0;
		}
		.date {
			letter-spacing: 0.1em;
			font-size: 80px;
		}
	}
	  
	#map {
		height: 80%;

		position: absolute;
		top: 164px; left:15px; right:15px; bottom:0px;
		padding: 0;
		margin: 0;	
	}

	#map_offcampus {
		height: 80%;
		
		min-height: 350px;
		max-width:650px;		
	}
	
	#panel {
		height: 10%;
		width: 100%;
		font-size:10pt;
		position: absolute;
		bottom:0px;
		padding: 0;
		margin: 0;
		background-color:#D5D8DC;
		padding-left:5px;
	}	
	
	.beacon{
	  position:absolute;
	  top:50%;
	  left:50%;
	  background-color:#2c3e50;
	  height:3em;
	  width:3em;
	  border-radius:50%;
	  -webkit-transform:translateX(-50%) translateY(-50%);
	}
	.beacon:before{
	  position:absolute;
	  content:"";
	  height:3em;
	  width:3em;
	  top:0;
	  left:0;
	  background-color:transparent;
	  border-radius:50%;
	  box-shadow:0px 0px 2px 2px #2980b9;
	  -webkit-animation:active 2s infinite linear;
	  animation:active 2s infinite linear;
	}

	@-webkit-keyframes active{
	  0%{
		-webkit-transform:scale(.1);
		opacity:1;
	  }
	  70%{
		-webkit-transform:scale(2.5);
		opacity:0;
	  }
	  100%{
		opacity:0;
	  }
	}

	@keyframes active{
	  0%{
		transform:scale(.1);
		opacity:1;
	  }
	  70%{
		transform:scale(2.5);
		opacity:0;
	  }
	  100%{
		opacity:0;
	  }
	}	
	
	.form-font{
	
		font-size : 14px;		
	}
	
	.my-card
	{
		left: 50%;
		margin-left:-25px;
		position: absolute;
		top:-20px;
		border-radius:50%;
	}	
	
	.videoDiv
	{
		height: calc(100vh - 289px);
		width: 100vw;
		margin: 0 auto;
		display: block;
	}
	
    #log
    {
		height: 60px;
		width: 80%;
		border: 1px solid #333333;
		line-height: 1.3em;
    }	
/* =================================================== attendance  - END */	

[v-cloak]{
	display:none;
}

/*.alert-primary {
    color: #dab334 !important;
    background-color: #0a2447 !important;
    border-color: #b8daff !important;
}*/

.alert-primary {
    color: #132347 !important;
    background-color: #FFFFFF !important;
    border-color: #D9DADB !important;
	text-align: center !important;
    box-shadow: rgb(0 0 0 / 15%) 0px 3px 8px;
}